# eric4.Plugins.CheckerPlugins.Tabnanny.TabnannyDialog

Module implementing a dialog to show the output of the tabnanny command process.

### Global Attributes

None

### Classes

TabnannyDialog | Class implementing a dialog to show the results of the tabnanny check run.

### Functions

None

## TabnannyDialog

Class implementing a dialog to show the results of the tabnanny check run.

### Derived from

QDialog, Ui_TabnannyDialog

### Class Attributes

None

### Class Methods

None

### Methods

TabnannyDialog | Constructor
__createResultItem | Private method to create an entry in the result list.
__finish | Private slot called when the action or the user pressed the button.
__resort | Private method to resort the tree.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_resultList_itemActivated | Private slot to handle the activation of an item.
start | Public slot to start the tabnanny check.

### Static Methods

None

#### TabnannyDialog (Constructor)

TabnannyDialog(parent = None)

Constructor

parent
  The parent widget (QWidget).

#### TabnannyDialog.__createResultItem

__createResultItem(file, line, sourcecode)

Private method to create an entry in the result list.

file
  filename of file (string or QString)
line
  linenumber of faulty source (integer or string)
sourcecode
  faulty line of code (string)

#### TabnannyDialog.__finish

__finish()

Private slot called when the action or the user pressed the button.

#### TabnannyDialog.__resort

__resort()

Private method to resort the tree.

#### TabnannyDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### TabnannyDialog.on_resultList_itemActivated

on_resultList_itemActivated(itm, col)

Private slot to handle the activation of an item.

itm
  reference to the activated item (QTreeWidgetItem)
col
  column the item was activated in (integer)

#### TabnannyDialog.start

start(fn)

Public slot to start the tabnanny check.

fn
  File or list of files or directory to be checked (string or list of strings)

Up